diff --git a/src/providers/ldap/ldap_common.c b/src/providers/ldap/ldap_common.c
index b3a048c..2434123 100644
--- a/src/providers/ldap/ldap_common.c
+++ b/src/providers/ldap/ldap_common.c
@@ -1547,7 +1547,7 @@ int sdap_service_init(TALLOC_CTX *memctx, struct be_ctx *ctx,
     ret = be_fo_service_add_callback(memctx, ctx, service->name,
                                      sdap_uri_callback, service);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to add failover callback!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to add failover callback!\n");
         goto done;
     }
 
@@ -1574,19 +1574,19 @@ errno_t string_to_shadowpw_days(const char *s, long *d)
     errno = 0;
     l = strtol(s, &endptr, 10);
     if (errno != 0) {
-        DEBUG(1, ("strtol failed [%d][%s].\n", errno, strerror(errno)));
+        DEBUG(1, "strtol failed [%d][%s].\n", errno, strerror(errno));
         return errno;
     }
 
     if (*endptr != '\0') {
-        DEBUG(1, ("Input string [%s] is invalid.\n", s));
+        DEBUG(1, "Input string [%s] is invalid.\n", s);
         return EINVAL;
     }
 
     if (l < -1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Input string contains not allowed negative value [%ld].\n",
-               l));
+              "Input string contains not allowed negative value [%ld].\n",
+               l);
         return EINVAL;
     }
 
@@ -1772,8 +1772,8 @@ sdap_attrs_get_sid_str(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_get_el(sysdb_attrs, sid_attr, &el);
     if (ret != EOK || el->num_values != 1) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("No [%s] attribute while id-mapping. [%d][%s]\n",
-               sid_attr, el->num_values, strerror(ret)));
+              "No [%s] attribute while id-mapping. [%d][%s]\n",
+               sid_attr, el->num_values, strerror(ret));
         return ENOENT;
     }
 
@@ -1783,7 +1783,7 @@ sdap_attrs_get_sid_str(TALLOC_CTX *mem_ctx,
         sid_str = talloc_strndup(mem_ctx, (char *) el->values[0].data,
                                  el->values[0].length);
         if (sid_str == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_strndup failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_strndup failed.\n");
             return ENOMEM;
         }
     } else {
@@ -1793,8 +1793,8 @@ sdap_attrs_get_sid_str(TALLOC_CTX *mem_ctx,
                                        &sid_str);
         if (err != IDMAP_SUCCESS) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not convert SID: [%s]\n",
-                   idmap_error_string(err)));
+                  "Could not convert SID: [%s]\n",
+                   idmap_error_string(err));
             return EIO;
         }
     }
diff --git a/src/providers/ldap/ldap_id.c b/src/providers/ldap/ldap_id.c
index 162d987..de2ae86 100644
--- a/src/providers/ldap/ldap_id.c
+++ b/src/providers/ldap/ldap_id.c
@@ -93,7 +93,7 @@ struct tevent_req *users_get_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, state->conn->conn_cache);
     if (!state->op) {
-        DEBUG(2, ("sdap_id_op_create failed\n"));
+        DEBUG(2, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -130,8 +130,8 @@ struct tevent_req *users_get_send(TALLOC_CTX *memctx,
                                         uid, &sid);
             if (err != IDMAP_SUCCESS) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Mapping ID [%s] to SID failed: [%s]\n",
-                       name, idmap_error_string(err)));
+                      "Mapping ID [%s] to SID failed: [%s]\n",
+                       name, idmap_error_string(err));
                 ret = EIO;
                 goto fail;
             }
@@ -164,7 +164,7 @@ struct tevent_req *users_get_send(TALLOC_CTX *memctx,
     }
 
     if (attr_name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing search attribute name.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing search attribute name.\n");
         ret = EINVAL;
         goto fail;
     }
@@ -193,7 +193,7 @@ struct tevent_req *users_get_send(TALLOC_CTX *memctx,
 
     talloc_zfree(clean_name);
     if (!state->filter) {
-        DEBUG(2, ("Failed to build the base filter\n"));
+        DEBUG(2, "Failed to build the base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -454,7 +454,7 @@ struct tevent_req *groups_get_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, state->conn->conn_cache);
     if (!state->op) {
-        DEBUG(2, ("sdap_id_op_create failed\n"));
+        DEBUG(2, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -493,8 +493,8 @@ struct tevent_req *groups_get_send(TALLOC_CTX *memctx,
                                         gid, &sid);
             if (err != IDMAP_SUCCESS) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Mapping ID [%s] to SID failed: [%s]\n",
-                       name, idmap_error_string(err)));
+                      "Mapping ID [%s] to SID failed: [%s]\n",
+                       name, idmap_error_string(err));
                 ret = EIO;
                 goto fail;
             }
@@ -527,7 +527,7 @@ struct tevent_req *groups_get_send(TALLOC_CTX *memctx,
     }
 
     if (attr_name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing search attribute name.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing search attribute name.\n");
         ret = EINVAL;
         goto fail;
     }
@@ -554,7 +554,7 @@ struct tevent_req *groups_get_send(TALLOC_CTX *memctx,
 
     talloc_zfree(clean_name);
     if (!state->filter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -770,7 +770,7 @@ static struct tevent_req *groups_by_user_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, state->conn->conn_cache);
     if (!state->op) {
-        DEBUG(2, ("sdap_id_op_create failed\n"));
+        DEBUG(2, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -934,7 +934,7 @@ void sdap_do_online_check(struct be_req *be_req, struct sdap_id_ctx *ctx)
     check_ctx = talloc_zero(be_req, struct sdap_online_check_ctx);
     if (!check_ctx) {
         ret = ENOMEM;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed\n");
         goto fail;
     }
     check_ctx->id_ctx = ctx;
@@ -944,7 +944,7 @@ void sdap_do_online_check(struct be_req *be_req, struct sdap_id_ctx *ctx)
                                 be_ctx, ctx->conn->service, false,
                                 CON_TLS_DFL, false);
     if (req == NULL) {
-        DEBUG(1, ("sdap_cli_connect_send failed.\n"));
+        DEBUG(1, "sdap_cli_connect_send failed.\n");
         ret = EIO;
         goto fail;
     }
@@ -1007,12 +1007,12 @@ static void sdap_check_online_done(struct tevent_req *req)
     talloc_free(check_ctx);
 
     if (reinit) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Server reinitialization detected. "
-                                  "Cleaning cache.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Server reinitialization detected. "
+                                  "Cleaning cache.\n");
         reinit_req = sdap_reinit_cleanup_send(be_req, be_ctx, id_ctx);
         if (reinit_req == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to perform reinitialization "
-                                        "clean up.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unable to perform reinitialization "
+                                        "clean up.\n");
             /* not fatal */
             goto done;
         }
@@ -1035,11 +1035,11 @@ static void sdap_check_online_reinit_done(struct tevent_req *req)
     ret = sdap_reinit_cleanup_recv(req);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to perform reinitialization "
-              "clean up [%d]: %s\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to perform reinitialization "
+              "clean up [%d]: %s\n", ret, strerror(ret));
         /* not fatal */
     } else {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Reinitialization clean up completed\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Reinitialization clean up completed\n");
     }
 
     sdap_handler_done(be_req, DP_ERR_OK, 0, NULL);
@@ -1073,7 +1073,7 @@ void sdap_account_info_handler(struct be_req *breq)
 
     ctx = talloc_get_type(be_ctx->bet_info[BET_ID].pvt_bet_data, struct sdap_id_ctx);
     if (!ctx) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not get sdap ctx\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not get sdap ctx\n");
         return sdap_handler_done(breq, DP_ERR_FATAL,
                                  EINVAL, "Invalid request data\n");
     }
@@ -1128,7 +1128,7 @@ sdap_handle_acct_req_send(TALLOC_CTX *mem_ctx,
         /* skip enumerations on demand */
         if (ar->filter_type == BE_FILTER_ENUM) {
             DEBUG(SSSDBG_TRACE_LIBS,
-                  ("Skipping user enumeration on demand\n"));
+                  "Skipping user enumeration on demand\n");
             state->err = "Success";
             ret = EOK;
             goto done;
@@ -1147,7 +1147,7 @@ sdap_handle_acct_req_send(TALLOC_CTX *mem_ctx,
         /* skip enumerations on demand */
         if (ar->filter_type == BE_FILTER_ENUM) {
             DEBUG(SSSDBG_TRACE_LIBS,
-                  ("Skipping group enumeration on demand\n"));
+                  "Skipping group enumeration on demand\n");
             state->err = "Success";
             ret = EOK;
             goto done;
@@ -1196,7 +1196,7 @@ sdap_handle_acct_req_send(TALLOC_CTX *mem_ctx,
         /* skip enumerations on demand */
         if (ar->filter_type == BE_FILTER_ENUM) {
             DEBUG(SSSDBG_TRACE_LIBS,
-                  ("Skipping service enumeration on demand\n"));
+                  "Skipping service enumeration on demand\n");
             state->err = "Success";
             ret = EOK;
             goto done;
@@ -1391,7 +1391,7 @@ static void sdap_account_info_complete(struct tevent_req *req)
             error_text = NULL;
         } else {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Bug: dp_error is OK on failed request"));
+                  "Bug: dp_error is OK on failed request");
             dp_error = DP_ERR_FATAL;
             error_text = req_error_text;
         }
@@ -1447,7 +1447,7 @@ static struct tevent_req *get_user_and_group_send(TALLOC_CTX *memctx,
 
     req = tevent_req_create(memctx, &state, struct get_user_and_group_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("tevent_req_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "tevent_req_create failed.\n");
         return NULL;
     }
 
@@ -1460,7 +1460,7 @@ static struct tevent_req *get_user_and_group_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, state->conn->conn_cache);
     if (!state->op) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -1476,7 +1476,7 @@ static struct tevent_req *get_user_and_group_send(TALLOC_CTX *memctx,
                              state->filter_val, state->filter_type,
                              state->attrs_type, state->noexist_delete);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("users_get_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "users_get_send failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -1522,7 +1522,7 @@ static void get_user_and_group_groups_done(struct tevent_req *subreq)
                             state->filter_val, state->filter_type,
                             state->attrs_type, state->noexist_delete);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("groups_get_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "groups_get_send failed.\n");
         tevent_req_error(req, ENOMEM);
         return;
     }
diff --git a/src/providers/ldap/ldap_id_cleanup.c b/src/providers/ldap/ldap_id_cleanup.c
index 06cdae0..004b53f 100644
--- a/src/providers/ldap/ldap_id_cleanup.c
+++ b/src/providers/ldap/ldap_id_cleanup.c
@@ -51,7 +51,7 @@ static void ldap_id_cleanup_timer(struct tevent_context *ev,
     errno_t ret;
 
     if (be_is_offline(cctx->ctx->be)) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Backend is marked offline, retry later!\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Backend is marked offline, retry later!\n");
         /* schedule starting from now, not the last run */
         delay = dp_opt_get_int(cctx->ctx->opts->basic,
                                SDAP_CACHE_PURGE_TIMEOUT);
@@ -81,7 +81,7 @@ static errno_t ldap_id_cleanup_set_timer(struct ldap_id_cleanup_ctx *cctx,
     cleanup_task = tevent_add_timer(cctx->ctx->be->ev, cctx->ctx,
                                     tv, ldap_id_cleanup_timer, cctx);
     if (cleanup_task == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("FATAL: failed to setup cleanup task!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "FATAL: failed to setup cleanup task!\n");
         return EFAULT;
     }
 
@@ -95,8 +95,8 @@ int ldap_id_cleanup_create_timer(struct sdap_id_ctx *ctx,
     struct ldap_id_cleanup_ctx *cctx;
 
     DEBUG(SSSDBG_FUNC_DATA,
-          ("Scheduling next cleanup at %ld.%ld\n",
-          (long)tv.tv_sec, (long)tv.tv_usec));
+          "Scheduling next cleanup at %ld.%ld\n",
+          (long)tv.tv_sec, (long)tv.tv_usec);
 
     cctx = talloc(ctx, struct ldap_id_cleanup_ctx);
     if (cctx == NULL) {
@@ -128,7 +128,7 @@ errno_t ldap_id_cleanup(struct sdap_options *opts,
 
     ret = sysdb_transaction_start(sdom->dom->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -145,7 +145,7 @@ errno_t ldap_id_cleanup(struct sdap_options *opts,
 
     ret = sysdb_transaction_commit(sdom->dom->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -156,7 +156,7 @@ done:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(sdom->dom->sysdb);
         if (tret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -191,8 +191,8 @@ static int cleanup_users(struct sdap_options *opts,
     }
 
     account_cache_expiration = dp_opt_get_int(opts->basic, SDAP_ACCOUNT_CACHE_EXPIRATION);
-    DEBUG(9, ("Cache expiration is set to %d days\n",
-              account_cache_expiration));
+    DEBUG(9, "Cache expiration is set to %d days\n",
+              account_cache_expiration);
 
     if (account_cache_expiration > 0) {
         subfilter = talloc_asprintf(tmpctx,
@@ -212,7 +212,7 @@ static int cleanup_users(struct sdap_options *opts,
                                     SYSDB_LAST_LOGIN);
     }
     if (!subfilter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto done;
     }
@@ -226,7 +226,7 @@ static int cleanup_users(struct sdap_options *opts,
         goto done;
     }
 
-    DEBUG(SSSDBG_FUNC_DATA, ("Found %zu expired user entries!\n", count));
+    DEBUG(SSSDBG_FUNC_DATA, "Found %zu expired user entries!\n", count);
 
     if (count == 0) {
         ret = EOK;
@@ -244,8 +244,8 @@ static int cleanup_users(struct sdap_options *opts,
     for (i = 0; i < count; i++) {
         name = ldb_msg_find_attr_as_string(msgs[i], SYSDB_NAME, NULL);
         if (!name) {
-            DEBUG(2, ("Entry %s has no Name Attribute ?!?\n",
-                       ldb_dn_get_linearized(msgs[i]->dn)));
+            DEBUG(2, "Entry %s has no Name Attribute ?!?\n",
+                       ldb_dn_get_linearized(msgs[i]->dn));
             ret = EFAULT;
             goto done;
         }
@@ -254,8 +254,8 @@ static int cleanup_users(struct sdap_options *opts,
             ret = cleanup_users_logged_in(uid_table, msgs[i]);
             if (ret == EOK) {
                 /* If the user is logged in, proceed to the next one */
-                DEBUG(5, ("User %s is still logged in or a dummy entry, "
-                          "keeping data\n", name));
+                DEBUG(5, "User %s is still logged in or a dummy entry, "
+                          "keeping data\n", name);
                 continue;
             } else if (ret != ENOENT) {
                 goto done;
@@ -263,7 +263,7 @@ static int cleanup_users(struct sdap_options *opts,
         }
 
         /* If not logged in or cannot check the table, delete him */
-        DEBUG(9, ("About to delete user %s\n", name));
+        DEBUG(9, "About to delete user %s\n", name);
         ret = sysdb_delete_user(sysdb, dom, name, 0);
         if (ret) {
             goto done;
@@ -286,8 +286,8 @@ static int cleanup_users_logged_in(hash_table_t *table,
     uid = ldb_msg_find_attr_as_uint64(msg,
                                       SYSDB_UIDNUM, 0);
     if (!uid) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Entry %s has no UID Attribute!\n",
-                  ldb_dn_get_linearized(msg->dn)));
+        DEBUG(SSSDBG_OP_FAILURE, "Entry %s has no UID Attribute!\n",
+                  ldb_dn_get_linearized(msg->dn));
         return ENOENT;
     }
 
@@ -334,7 +334,7 @@ static int cleanup_groups(TALLOC_CTX *memctx,
                                 SYSDB_CACHE_EXPIRE,
                                 SYSDB_CACHE_EXPIRE, (long)now);
     if (!subfilter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto done;
     }
@@ -348,7 +348,7 @@ static int cleanup_groups(TALLOC_CTX *memctx,
         goto done;
     }
 
-    DEBUG(SSSDBG_FUNC_DATA, ("Found %zu expired group entries!\n", count));
+    DEBUG(SSSDBG_FUNC_DATA, "Found %zu expired group entries!\n", count);
 
     if (count == 0) {
         ret = EOK;
@@ -377,14 +377,14 @@ static int cleanup_groups(TALLOC_CTX *memctx,
             subfilter = talloc_asprintf(tmpctx, "(%s=%s)", SYSDB_MEMBEROF, dn);
         }
         if (!subfilter) {
-            DEBUG(2, ("Failed to build filter\n"));
+            DEBUG(2, "Failed to build filter\n");
             ret = ENOMEM;
             goto done;
         }
 
         base_dn = sysdb_base_dn(sysdb, tmpctx);
         if (base_dn == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to build base dn\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to build base dn\n");
             ret = ENOMEM;
             goto done;
         }
@@ -397,17 +397,17 @@ static int cleanup_groups(TALLOC_CTX *memctx,
 
             name = ldb_msg_find_attr_as_string(msgs[i], SYSDB_NAME, NULL);
             if (!name) {
-                DEBUG(2, ("Entry %s has no Name Attribute ?!?\n",
-                          ldb_dn_get_linearized(msgs[i]->dn)));
+                DEBUG(2, "Entry %s has no Name Attribute ?!?\n",
+                          ldb_dn_get_linearized(msgs[i]->dn));
                 ret = EFAULT;
                 goto done;
             }
 
-            DEBUG(8, ("About to delete group %s\n", name));
+            DEBUG(8, "About to delete group %s\n", name);
             ret = sysdb_delete_group(sysdb, domain, name, 0);
             if (ret) {
-                DEBUG(2, ("Group delete returned %d (%s)\n",
-                          ret, strerror(ret)));
+                DEBUG(2, "Group delete returned %d (%s)\n",
+                          ret, strerror(ret));
                 goto done;
             }
         }
diff --git a/src/providers/ldap/ldap_id_enum.c b/src/providers/ldap/ldap_id_enum.c
index 8cccaa9..c83cc2a 100644
--- a/src/providers/ldap/ldap_id_enum.c
+++ b/src/providers/ldap/ldap_id_enum.c
@@ -80,7 +80,7 @@ errno_t ldap_setup_enumeration(struct sdap_id_ctx *ctx,
                           ectx, "enumeration", &sdom->enum_task);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Unable to initialize enumeration periodic task\n"));
+              "Unable to initialize enumeration periodic task\n");
         talloc_free(ectx);
         return ret;
     }
@@ -112,7 +112,7 @@ ldap_enumeration_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct ldap_enumeration_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -130,7 +130,7 @@ ldap_enumeration_send(TALLOC_CTX *mem_ctx,
         /* The ptask API will reschedule the enumeration on its own on
          * failure */
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Failed to schedule enumeration, retrying later!\n"));
+              "Failed to schedule enumeration, retrying later!\n");
         ret = EIO;
         goto fail;
     }
diff --git a/src/providers/ldap/ldap_id_netgroup.c b/src/providers/ldap/ldap_id_netgroup.c
index e48a7da..1effaa5 100644
--- a/src/providers/ldap/ldap_id_netgroup.c
+++ b/src/providers/ldap/ldap_id_netgroup.c
@@ -82,7 +82,7 @@ struct tevent_req *ldap_netgroup_get_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, state->conn->conn_cache);
     if (!state->op) {
-        DEBUG(2, ("sdap_id_op_create failed\n"));
+        DEBUG(2, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -102,7 +102,7 @@ struct tevent_req *ldap_netgroup_get_send(TALLOC_CTX *memctx,
                             clean_name,
                             ctx->opts->netgroup_map[SDAP_OC_NETGROUP].name);
     if (!state->filter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -208,8 +208,8 @@ static void ldap_netgroup_get_done(struct tevent_req *subreq)
     }
 
     if (ret == EOK && state->count > 1) {
-        DEBUG(1, ("Found more than one netgroup with the name [%s].\n",
-                  state->name));
+        DEBUG(1, "Found more than one netgroup with the name [%s].\n",
+                  state->name);
         tevent_req_error(req, EINVAL);
         return;
     }
diff --git a/src/providers/ldap/ldap_id_services.c b/src/providers/ldap/ldap_id_services.c
index 1f3fd80..793f3e3 100644
--- a/src/providers/ldap/ldap_id_services.c
+++ b/src/providers/ldap/ldap_id_services.c
@@ -94,7 +94,7 @@ services_get_send(TALLOC_CTX *mem_ctx,
 
     state->op = sdap_id_op_create(state, state->conn->conn_cache);
     if (!state->op) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto error;
     }
@@ -136,13 +136,13 @@ services_get_send(TALLOC_CTX *mem_ctx,
     talloc_zfree(clean_protocol);
     if (!state->filter) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to build the base filter\n"));
+              "Failed to build the base filter\n");
         ret = ENOMEM;
         goto error;
     }
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Preparing to search for services with filter [%s]\n",
-           state->filter));
+          "Preparing to search for services with filter [%s]\n",
+           state->filter);
 
     ret = build_attrs_from_map(state, id_ctx->opts->service_map,
                                SDAP_OPTS_SERVICES, NULL,
